Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
UI edycji publikacji w postaci sekcji
2017-05-17 08:27 - Michał Komar

Status: Rozwiązany Start date: 2017-05-31
Priority: Wysoki Due date:
Assignee: Michał Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Monika Maksymiuk Tester: Michał Komar
Description

Formularz edycji publikacji powinien zostać podzielony na sekcje. Dokładną definicję wszystkich sekcji opiszę w innym zadaniu. Te
zadanie opisuje mechanizmy, które muszą zostać zaimplmentowane. Zakładam, że konfiguracja jest definiowana statycznie po stronie
UI w serwisie.

    1. Sekcje powinny się dzielić na opcjonalne oraz wymagane. 
Sekcje wymagane powinny się wyświetlać od razu po wejściu na formularz, sekcje opcjonalne powinny być wyświetlone jeżeli

posiadają dane (np. tagi będą wyświetlane, gdy istnieje przynajmniej jeden tag). Użytkownik może dowolnie dodawać i usuwać sekcje
opcjonalne.

Lista sekcji powinna się znajdować z prawej strony ekranu w pionie. Obok nazw sekcji opcjonalnych powinien się znajdować
przycisk + lub minus w zależności od tego, czy jest widoczna, czy nie. Kliknięcie w nazwę sekcji, powinno przescrolować formularz do
odpowiedniej sekcji, kliknięcie "+" powinno dodać sekcję i przescrolować użytkownika, "-" usuwa sekcję.
    2. Konfiguracja sekcji powinna zależeć od typu dokumentu

Konfiguracja sekcji to lista sekcji, wraz z flagą czy opcjonalna, czy nie, przypisana do typu dokumentu. Sekcje mogą
być wymagane przy jednym typie, a przy drugim nie. Może być też tak, że sekcja w ogóle nie istnieje w kontekście typu. 

Przykład:

   Journal -> "nazwa" wymagana, "daty" wymagana, "okładka" wymagana, "kontynuacja" opcjonalna
   Rok -> "nazwa" wymagana 

Subtasks:
Błąd # 1703: Nierozwijające się sekcje opcjonalne Zamknięty
Zadanie # 1721: Zwijanie sekcji Rozwiązany
Zadanie # 1722: Potwierdzanie usuwania sekcji Rozwiązany

Associated revisions
Revision e74ebf7e - 2017-06-01 15:26 - Monika Maksymiuk

refs #1687. Osobne komponenty do kazdej z sekcji

Revision 9930b85c - 2017-06-23 12:08 - Monika Maksymiuk

refs #1687. Biblioteka do scrollowania

History
#1 - 2017-05-31 08:53 - Monika Maksymiuk
- Status changed from Nowy to Rozwiązany
- % Done changed from 0 to 100

#2 - 2017-05-31 09:05 - Monika Maksymiuk
- Status changed from Rozwiązany to Testowanie
- Assignee changed from Monika Maksymiuk to Michał Komar

#3 - 2017-05-31 12:49 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Monika Maksymiuk

Proponuję, żeby każdej sekcji odpowiadał osobny komponent "section" oraz żeby wydzielić komponent "section-container". W ten sposób
odseparujemy logikę związaną z obsługą sekcji.
Ponadto można pokusić się o utworzenie osobnych dedykowanych komponentów realizujących logikę każdej z sekcji - powinno znacznie zwiększyć
czytelność kodu.

#4 - 2017-06-01 09:26 - Michał Komar
- Parent task set to #1616

#5 - 2017-06-19 11:08 - Monika Maksymiuk
- Status changed from Odpowiedź to Rozwiązany

#6 - 2017-09-01 14:55 - Monika Maksymiuk
- Assignee changed from Monika Maksymiuk to Michał Komar
